BigIntVector Class Reference

`#include <BigIntVector.h>`

## Public Member Functions

| BigIntVector (size_t size)
mpz_class & | operator[] (size_t i)
const mpz_class & | operator[] (size_t i) const
size_t | getSize () const
void | resize (size_t size)

## Private Attributes

vector< mpz_class > | _entries

## Detailed Description

Definition at line 24 of file BigIntVector.h.

## Constructor & Destructor Documentation

## BigIntVector()

BigIntVector::BigIntVector | ( | size_t | size | ) |

inline

Definition at line 26 of file BigIntVector.h.

## Member Function Documentation

## getSize()

size_t BigIntVector::getSize | ( |  | ) | const

inline

Definition at line 38 of file BigIntVector.h.

## operator[]() [1/2]

mpz_class & BigIntVector::operator[] | ( | size_t | i | ) |

inline

Definition at line 28 of file BigIntVector.h.

## operator[]() [2/2]

const mpz_class & BigIntVector::operator[] | ( | size_t | i | ) | const

inline

Definition at line 33 of file BigIntVector.h.

## resize()

void BigIntVector::resize | ( | size_t | size | ) |

inline

Definition at line 39 of file BigIntVector.h.

## Member Data Documentation

## _entries

vector<mpz_class> BigIntVector::_entries

private

Definition at line 42 of file BigIntVector.h.

The documentation for this class was generated from the following file:

- src/BigIntVector.h